Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.mejb
Class JMSNotificationListener

    java.lang.Object
      org.jboss.management.mejb.JMSNotificationListener

All Implemented Interfaces:
  EventListener, JMSNotificationListenerMBean, ListenerMBean, javax.management.NotificationListener

public class JMSNotificationListener
extends Object
implements JMSNotificationListenerMBean

Remote Listener using JMS to send the event

Version:
  $Revision: 1.6 $
Author:
  ???

Constructor Summary
`JMSNotificationListener(String pJNDIName, javax.jms.Queue pQueue)`

Method Summary
`boolean` | `equals(Object pTest)` Test if this and the given Object are equal.
`void` | `handleNotification(javax.management.Notification pNotification, Object pHandback)` Handles the given notification by sending this to the remote client listener
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSNotificationListener

    public JMSNotificationListener(String pJNDIName,
                                   javax.jms.Queue pQueue)
                            throws javax.jms.JMSException

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification pNotification,
                                   Object pHandback)

  Handles the given notification by sending this to the remote client listener

  Specified by:
    `handleNotification` in interface `ListenerMBean`
  Parameters:
    `pNotification` - Notification to be send
    `pHandback` - Handback object

### equals

    public boolean equals(Object pTest)

  Test if this and the given Object are equal. This is true if the given object both refer to the same local listener

  Parameters:
    `pTest` - Other object to test if equal
  Returns:
    True if both are of same type and refer to the same local listener

### hashCode

    public int hashCode()

  Returns:
    Hashcode of the local listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.